<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.13.2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


// Create a category selector
class JFormFieldZttext extends JFormField
{

	protected $type = 'Zttext';

	protected function getInput()
	{
		$target = $this->element['target'];
		$description = $this->element['description'];
		$class = $this->element['class'];
		
		ob_start();
		
		
		
			// Translate placeholder text
			$class   = !empty($this->class) ? $this->class : '';
			$depends = !empty($this->element['depend']) ? ' data-depend="' . $this->element['depend'] . '"' : '';
			$case = !empty($this->element['case']) ? ' data-value="' . $this->element['case'] . '"' : '';
			
					?>
					
					
					<textarea name="<?php echo $this->name;?>" id="<?php echo $this->name;?>" class="zt-form zt-form-textarea uk-form uk-form-large uk-form-width-large <?php echo $class;?>" <?php echo $depends;?> <?php echo $case;?>><?php echo htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8');?></textarea>
			
			
		<?php
		
		return ob_get_clean();
			
	}
}
