<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 
?>

<div itemscope itemtype="http://schema.org/Person" class="zt-<?php echo $element->alignment;?>">
 	<?php if($element->title) { ?>
 		<span itemprop="name"><?php echo $item->title;?></span>
 	<?php } ?>
  
  <div itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
  	<p>
	    <?php if($element->address && $item->address !=="") { ?>
	    	<span itemprop="streetAddress"><?php echo $item->address;?></span>
	    <?php } ?>
	    <?php if($element->city && $item->city !=="") { ?>
	    	<span itemprop="addressLocality"><?php echo $item->city;?>,</span>
	    <?php } ?>
	    <?php if($element->state && $item->state !=="") { ?>
	    	<span itemprop="addressRegion"><?php echo $item->state;?>,</span>
	    <?php } ?>
	    <?php if($element->country && $item->country !=="") { ?>
	    	<span itemprop="addressCountry"><?php echo $item->country;?>.</span>
	    <?php } ?>
    </p>
  </div>
  <?php if($element->telephone && $item->telephone !=="") { ?>
 	 <p>
 	 	<?php echo $element->phone_prefix;?> <span itemprop="telephone"><?php echo $item->telephone;?></span>
 	 </p>
  <?php } ?>
  <?php if($element->fax && $item->fax !=="") { ?>
  	<p>
  		<?php echo $element->fax_prefix;?> <span itemprop="faxNumber"><?php echo $item->fax;?></span>
  	</p>
  <?php } ?>
  <?php if($element->website_url && $item->url !=="") { ?>
  	<p>
  		<?php echo $element->website_prefix;?> <span itemprop="url"><a href="<?php echo $item->url;?>"><?php echo $item->url;?></a></span>
  	</p>
  <?php } ?>
</div>