<?php
/**
 * Zentools2
 * @version 1.1
 * @author Joomla Bamboo
 * http://www.joomlabamboo.com
 * Based on JW AllVideos Plugin by Joomlaworks.gr and Xtypo from www.templateplazza.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 *
 **/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

require_once __DIR__ . '/includes/helper.php';

class plgSystemzentools2 extends JPlugin {

	public function onBeforeRender()
		{
		
		$app = JFactory::getApplication();
			    
		if (!$app->isAdmin()) return;
		
		$url =  $_SERVER['REQUEST_URI'];
		
		// Split all up until the id fragment
		$option = explode('option=', $url);
		
		if(isset($option[1])) {
		
			if(($option[1] == "com_modules") || ($option[1] == "com_modules&view=modules")) {
				
				$plugin		= JPluginHelper::getPlugin('ajax','zentools2');
				
				if(!empty($plugin)) {
					$param		= new JForm( $plugin->params );
					$enabled   = $this->params->get('enabled', 1);
					
					if($enabled) {
						$icon = (bool)$this->params->get('zentools_tag', 0);
						$source = (bool)$this->params->get('source_tag', 0);
						$layout = (bool)$this->params->get('layout_tag', 0);
						
						PlgSystemZenTools2Helper::getModuleDetails($icon,$source,$layout);
					}		
				}
			}
		}
	}
}
?>