<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v1.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );


/**
 * Renders a editors element
 *
 * @package 	Joomla.Framework
 * @subpackage		Form
 * @since		1.6
 */

class JFormFieldCheckcompile extends JFormField
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	
	protected $type = 'checkcompile';

	protected function getInput()
	{
	}
	
	public function getLabel() {
		
		
		ob_start();?>
		
		<div id="compile-required" class="zt-status hide uk-alert-warning uk-alert"><span class="zt-icon zen-icon-warning"></span><span id="message"></span></div>
		
		<script>
			
			jQuery(document).ready(function($) {
		
				$(document).on('blur', '.compile', function() {
					$('#message').text('Click create master or create custom css in order for your changes to take affect.');
					$('#compile-required').fadeIn();
				});	
			});
		
		</script>
		
		<?php return ob_get_clean();
		
	}

}
?>