<?php defined('JPATH_PLATFORM') or die;

class JFormFieldVersion extends JFormField
{

	public $type = 'version';

	// icons

	protected function getInput()
	{
		
		$xml = JFactory::getXML(JPATH_ROOT . '/modules/mod_zentools2/mod_zentools2.xml');
		
		
		// See if plugins are enabled
		$plugin = JPluginHelper::getPlugin('ajax', 'zentools2');
		
		// Get the helper
		include_once(JPATH_ROOT . '/modules/mod_zentools2/includes/zentools2helper.php');
		$zen2 = new ZenTools2Helper();
		
		ob_start();
		
		
		if(!$zen2->com_ajax()) { ?>
			<p></p>
			<br />
			<p style="margin-left: -90px;" class="alert alert-danger"><strong>Joomla's Ajax component is not installed.</strong><br /> This module uses functionality provided by the core Joomla component Ajax Interface. However, it appears that the Ajax interface is not installed. Please ensure you are using the  latest version of Joomla and then try to <a href="index.php?option=com_installer&view=discover">discover</a> it in the Joomla extension manager.<br /><br />For more information on using the discover tool see <a href="http://www.joomlabamboo.com/blog/how-to-joomla/how-to-use-the-discover-tool-in-joomla-3">this blog post</a>.</p>
		<?php }
		
		if(empty($plugin)) { ?>
			
			<p></p>
			<p style="margin-left: -90px;" class="alert alert-danger"><strong>Zentools2 Ajax plugin is not published.</strong><br /> This plugin is required for some of the functionality of this module. <br />Visit the <a href="index.php?option=com_plugins&view=plugins&filter.search=zen">plugin manager</a> to publish this plugin now.</p>
			<p></p><br />
		<?php }  ?>
		<div class="zt-module-overview">
		<img style="margin: 20px 0 20px -20px;" src="http://www.joomlabamboo.com/zentools2-logo.png" alt="zentools2"/>
	 	<div class="clearfix"></div>
	 	<p>Showing <strong><span id="display_count"></span></strong> items in a <strong><span id="display_layout_type"></span></strong> layout using
	 	<strong><span id="display_content_source"></span></strong> as a content source.
	 	</p>
	 	
	 	<div class="divider"></div>
	 	<h2>Module version and updates</h2>
	 	<a href="#" id="get_data" class="uk-button uk-button-primary" data-action="version_check">Check for updates</a>
		<p>You have version - <strong><span id="current_version"><?php echo $xml->version;?></span></strong></p>
		<p id="latest_version" style="display: none;">The latest version of Zentools2 is <strong><span id="latest_version_number"></span></strong></p>
		<div class="alert" id="version_action" style="display: none;"></div>
		
		<div class="divider"></div>
		<h2>Quick Links</h2>
		<ul class="uk-subnav uk-subnav-line">
			<li><a href="http://www.joomlabamboo.com/zentools2" target="_blank">Features</a></li>
			<li><a href="http://zentools2.joomlabamboo.com" target="_blank">Documentation</a></li>
			<li><a href="http://www.joomlabamboo.com/downloads/template-downloads?param=zentools2" target="_blank">Download</a></li>
			<li><a href="http://www.joomlabamboo.com/index.php?option=com_kunena&view=category&layout=list&Itemid=216" target="_blank">Forum</a></li>
		</ul>
		<div class="divider"></div>
		</div>
		<script>
		(function ($) {
			// Load Layout Function
			$(document).on('click', '#get_data', function() {
				//url = '../?template=' + template + '&tmpl=ajax&function=ajax-layout&layout=' + layout;
				var action = $(this).attr('data-action');
				
				var url = '?option=com_ajax&plugin=zentools2&format=raw';
				var value   = '',
					action  = action,
					request = {
							'option' : 'com_ajax',
							'plugin' : 'zentools2',
							'cmd'    : action,
							'data'   : value
						};
				$.ajax({
				 	url: url,
				 	method: 'get',
				 	context: document.body,
				 	type: 'POST',
				 	data   : request,
				 	
				 	beforeSend: function () {
				 			
				 		$('#get_data').text('Checking for latest version');
				 		$('#latest_version_number').text('')
				 	},
				 		
				 	success: function (data) {
				 								 		
				 		$('#latest_version_number').text(data);
				 		$('#get_data').text('Check for updates');
				 		
				 		var current_version = $('#current_version').text();
				 		var latest_version = $('#latest_version_number').text();
				 		
				 		if(current_version == latest_version) {
				 			$('#version_action').text('You have the latest version');
				 		} else {
				 			$('#version_action').text('There is a new version of Zentools2 available.');
				 		}
				 		
				 		$('#latest_version, #version_action').fadeIn();
				 	}
				});
			});
		})(jQuery);
		</script>
	<?php 
	
		return ob_get_clean();
	
	}
	
	function getLabel()
	{
		return '';
	}
}						