<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.13.2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


// Create a category selector
class JFormFieldZtHikashopcategories extends JFormField
{

	protected $type = 'ZtHikashopCategories';

	protected function getInput()
	{
		
		// Initialize variables
		include_once(JPATH_ROOT . '/modules/mod_zentools2/helper.php');
		
		$zen2 = new ZenTools2Helper();
		
		if($zen2->zt_hikashop()) {
			
			$class = $this->element['class'];
			
			
			$db = JFactory::getDBO();
			$query = 'SELECT category_id, category_name FROM #__hikashop_category WHERE category_published=1 and category_type="product"';
			$db->setQuery($query);
			$results = $db->loadObjectList();
			
			
			$extension = $this->element['extension'] ? (string) $this->element['extension'] : (string) $this->element['scope'];
			$special = $this->element['special'];
			$class = $this->element['class'];
			
			$categories=array();
	
			// Create the 'all categories' listing
			$categories[0] = new stdClass;
			$categories[0]->id = 'selectall';
			$categories[0]->title = JText::_("Select all categories");
			
			
			
			// Special is because for some reason joomla content categories get duplicated
			
			$output = '<input class="filter-list" data-id="filter-'.$this->fieldname.'" placeholder="Start typing to filter list of items."/>';
			$output .= JHTML::_('select.genericlist',  $categories, ''.$this->formControl.'[params]['.$this->fieldname.'][]',
				'class="inputbox '.$class.'" style="width:90%;"  multiple="multiple" size="5"', 'id', 'title', $this->value, $this->id
			);
			
			return $output; 
		}	
	}
}