<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.13.2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


// Create a category selector
class JFormFieldZtk2categories extends JFormField
{

	protected $type = 'Ztk2categories';

	protected function getInput()
	{
		
		// Initialize variables
		include_once(JPATH_ROOT . '/modules/mod_zentools2/helper.php');
		
		$zen2 = new ZenTools2Helper();
		
		if($zen2->k2()) {
			
			$class = $this->element['class'];
			
			
			$db = JFactory::getDBO();
			$query = 'SELECT id, name FROM #__k2_categories WHERE published=1';
			$db->setQuery($query);
			$results = $db->loadObjectList();
			$categories=array();
		
			// Create the 'all categories' listing
			$categories[0] = new stdClass;
			$categories[0]->id = 'selectall';
			$categories[0]->name = JText::_("Select all categories");
			
			// Special is because for some reason joomla content categories get duplicated
			foreach ($results as $result) {
				array_push($categories,$result);
			}
			
			$output = '<input class="filter-list" data-id="filter-'.$this->fieldname.'" placeholder="Start typing to filter list of items."/>';
			$output .= JHTML::_('select.genericlist',  $categories, ''.$this->formControl.'[params]['.$this->fieldname.'][]',
				'class="inputbox '.$class.'" style="width:90%;"  multiple="multiple" size="5"', 'id', 'name', $this->value, $this->id
			);
			
			return $output; 
		}	
	}
}