<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

$text = $item->misc;

if(isset($element->strip_tags) || isset($element->truncate)) {
	if($element->strip_tags) {
		$allowed = array_filter(explode(',', $element->allowed));
		$allowed = implode('><', $allowed);
		$text = $zen->striptags($text, '<' . $allowed .'>');
	} 
	
	
	
	if($element->truncate) {
		$text = $zen->truncate($text, $element->count, $element->suffix, $element->round_words);
	}
}

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 
?>

<div class="zt-misc zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?>">
	<?php echo $text;?>
</div>