<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

$lightbox = $settings->lightbox; 

 $data_description ="";
 if(isset($item->introtext)) {
 	 $data_description ='data-description="'.htmlspecialchars($item->introtext).'"';
}

// Joomla contacts
if(isset($item->misc)) {
 	 $data_description ='data-description="'.htmlspecialchars($item->misc).'"';
}

if(!isset($element->append_cat_item_count)) {
	$element->append_cat_item_count = null;
} 

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

$responsive_classes = explode(' ', $element->responsive_classes);
$responsive_classes = array_filter($responsive_classes);

$class= '';
foreach ($responsive_classes as $key => $device) {
	$class .= ' zt-hidden-'.$device;
}


?><div class="zt-title <?php echo $class;?> zt-element zt-element-<?php echo $settings->count;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?>">
	<<?php echo $element->class;?> class="zt-<?php echo $element->display;?>">
		<?php if(($element->link =="1" || $element->link =="3") && $item->link) { ?>
			<a href="<?php echo $item->link;?>"
			<?php if($element->link =="3") { ?>
			target="_blank"
			<?php } ?>>
		<?php } elseif($element->link =="2" && $item->link) { ?>
			<a data-effect="mfp-<?php echo $lightbox->transition;?>" class="zt-lightbox"  title="<?php echo $item->title;?>" href="<?php echo $item->image;?>" <?php echo $data_description;?>>
		<?php } 
		
		echo $zen->truncate($item->title, $element->count, $element->suffix, 0);
		
		// Special for J categories.
		// Need to add this in a better way
		if($element->append_cat_item_count) { ?>
			(<?php echo $item->catcount;?>)
		<?php }
		
		if($element->link && $item->link) { ?>
			</a>
		<?php } ?>
	</<?php echo $element->class;?>>
</div>